Bug 187674 - [ews-build] Add build step to run layout-test
Summary: [ews-build] Add build step to run layout-test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-07-13 17:11 PDT by Aakash Jain
Modified: 2018-08-12 22:55 PDT (History)
5 users (show)

See Also:


Attachments
Proposed patch (4.94 KB, patch)
2018-07-13 17:15 PDT, Aakash Jain
lforschler: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2018-07-13 17:11:56 PDT
We should add support for running layout tests in OpenSource EWS Buildbot.
Comment 1 Aakash Jain 2018-07-13 17:15:43 PDT
Created attachment 345006 [details]
Proposed patch

Adding the simple build step for running layout tests. This is quite similar to current EWS.

Further enhancements like retrying layout-tests on failure, analyzing the results etc. would be in separate patch.
Comment 2 EWS Watchlist 2018-07-13 17:18:14 PDT
Attachment 345006 [details] did not pass style-queue:


ERROR: Tools/BuildSlaveSupport/ews-build/steps_unittest.py:730:  [TestRunWebKitTests.test_success] Passing unexpected keyword argument 'state_string' in function call  [pylint/E1123] [5]
ERROR: Tools/BuildSlaveSupport/ews-build/steps_unittest.py:730:  [TestRunWebKitTests.test_success] No value passed for parameter 'status_text' in function call  [pylint/E1120] [5]
ERROR: Tools/BuildSlaveSupport/ews-build/steps_unittest.py:744:  [TestRunWebKitTests.test_failure] Passing unexpected keyword argument 'state_string' in function call  [pylint/E1123] [5]
ERROR: Tools/BuildSlaveSupport/ews-build/steps_unittest.py:744:  [TestRunWebKitTests.test_failure] No value passed for parameter 'status_text' in function call  [pylint/E1120] [5]
Total errors found: 4 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Aakash Jain 2018-07-13 17:20:30 PDT
Style queue warnings are false positive.
Comment 4 Aakash Jain 2018-07-14 09:23:48 PDT
Sample run: http://ews-build.webkit-uat.org/#/builders/11/builds/33
Comment 5 Lucas Forschler 2018-07-18 11:33:23 PDT
Comment on attachment 345006 [details]
Proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=345006&action=review

r=me, after considering typo fix.

> Tools/BuildSlaveSupport/ews-build/steps.py:264
> +    name = 'layout-test'

should this be 'layout-tests' ?
Comment 6 Aakash Jain 2018-07-18 11:42:07 PDT
Committed r233921: <https://trac.webkit.org/changeset/233921>
Comment 7 Radar WebKit Bug Importer 2018-07-18 11:43:20 PDT
<rdar://problem/42344602>